// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
import { Amplify, LocalStorage, CookieStorage, } from '@aws-amplify/core';
import { CognitoUserPoolsTokenProvider, cognitoCredentialsProvider, } from './auth/cognito';
export var DefaultAmplify = {
    configure: function (resourceConfig, libraryOptions) {
        if (resourceConfig.Auth && !libraryOptions) {
            CognitoUserPoolsTokenProvider.setAuthConfig(resourceConfig.Auth);
            var defaultLibraryOptions = {
                Auth: {
                    tokenProvider: CognitoUserPoolsTokenProvider,
                    credentialsProvider: cognitoCredentialsProvider,
                },
            };
            CognitoUserPoolsTokenProvider.setKeyValueStorage(resourceConfig.ssr
                ? new CookieStorage({
                    sameSite: 'strict',
                })
                : LocalStorage);
            Amplify.configure(resourceConfig, defaultLibraryOptions);
        }
        else {
            Amplify.configure(resourceConfig, libraryOptions);
        }
    },
    getConfig: function () {
        return Amplify.getConfig();
    },
};
