"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultAmplify = void 0;
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
var core_1 = require("@aws-amplify/core");
var cognito_1 = require("./auth/cognito");
exports.DefaultAmplify = {
    configure: function (resourceConfig, libraryOptions) {
        if (resourceConfig.Auth && !libraryOptions) {
            cognito_1.CognitoUserPoolsTokenProvider.setAuthConfig(resourceConfig.Auth);
            var defaultLibraryOptions = {
                Auth: {
                    tokenProvider: cognito_1.CognitoUserPoolsTokenProvider,
                    credentialsProvider: cognito_1.cognitoCredentialsProvider,
                },
            };
            cognito_1.CognitoUserPoolsTokenProvider.setKeyValueStorage(resourceConfig.ssr
                ? new core_1.CookieStorage({
                    sameSite: 'strict',
                })
                : core_1.LocalStorage);
            core_1.Amplify.configure(resourceConfig, defaultLibraryOptions);
        }
        else {
            core_1.Amplify.configure(resourceConfig, libraryOptions);
        }
    },
    getConfig: function () {
        return core_1.Amplify.getConfig();
    },
};
